postCode resource type

Represents a Post Code in SOFT4Spaces.

Note

For information about enabling APIs for Business Central see Overview.

 

 

API endpoint

 

API Path
postCode businesscentralPrefix/soft4/soft4spaces/v3.0/companies({{companyId}})/postCodes

 

Methods

 

Method Return Type Description
GET postCode postCode Gets a post code object.
DELETE postCode none Deletes a post code object.
POST postCode postCode Creates a post code object.
PATCH postCode postCode Updates a post code object.

 

GET postCode

Description

Retrieves an existing post code record from Business Central.

HTTP Request

GET

https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/postCodes

Request Headers

Header Value
Authorization NTLM, OAuth2. Required.
Accept application/json

Request Body

None.

Response

Returns a 200 OK status code and JSON object representing the post code record.

Example Response

JSON

{
   "id": "182f6fbd-5f0e-f111-8406-7ced8d48d97c",
      "code": "2000",
      "city": "Sydney",
      "countryRegionCode": "AU",
      "county": "",
      "timeZone": "",
      "systemCreatedAt": "2026-02-20T13:26:22.393Z",
      "systemCreatedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68",
      "systemModifiedAt": "2026-02-20T13:26:22.393Z",
      "systemModifiedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68"
}

 

POST postCode

Description

Creates a new post code record in Business Central.

HTTP Request

POST

https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/postCodes

Request Headers

Header Value
Authorization NTLM, OAuth2. Required.
Accept application/json

Request Body

Provide a JSON object with post code data.

JSON

{
   "code": "AT-1236",
   "city": "Wien",
   "countryRegionCode": "AT",
   "county": ""
}

Response

Returns a 201 Created status code and the created post code object.

 

Properties

 

Property Type Description
id GUID The unique ID of the post code. Non-editable.
code string The code of the post code.
city string Specifies the post code's city.
countryRegionCode string Specifies the post code's country/region code.
county string Specifies the post code's county.
timeZone string Specifies the post code's time zone.
systemCreatedAt datetime The datetime the post code was created. 
systemCreatedBy GUID The datetime the post code was created. 
systemModifiedAt datetime The last datetime the post code was modified.
systemModifiedBy GUID The ID of the user who modified the post code.

 

JSON Representation

{
   "id": "GUID",
      "code": "string",
      "city": "string",
      "countryRegionCode": "string",
      "county": "string",
      "timeZone": "string",
      "systemCreatedAt": "datetime",
      "systemCreatedBy": "GUID",
      "systemModifiedAt": "datetime",
      "systemModifiedBy": "GUID"
}